#ifndef _MARS3D_H_
#define _MARS3D_H_

#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include <unistd.h>
#include <ctype.h>
#include <time.h>
#include <sys/time.h>
#include <sys/io.h>
//#include <asm/io.h>
#include <math.h>
#include <pwd.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <malloc.h>
#include <dirent.h>

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/extensions/xf86dga.h>

#define PAR_PORT	0x378

#define TOP_LEFT		1
#define TOP_MIDDLE		2
#define TOP_RIGHT		3
#define BOTTOM_LEFT		4
#define BOTTOM_MIDDLE	5
#define BOTTOM_RIGHT	6

#define DEST_NONE				0
#define DEST_X					1
#define DEST_Y					2
#define DEST_Z					3
#define DEST_GAMMA				4
#define	DEST_LOAD_POSITION		5
#define DEST_SAVE_POSITION		6
#define DEST_SAVE_SCREEN_BW		7
#define DEST_SAVE_SCREEN_COLOR	8

#define TEMP_SIZE		65535

#define IMAGE_TYPE_PGM			1
#define IMAGE_TYPE_PPM			3


int debug_flag;
char *home_dir;
char *user_name;
int clock_position;
unsigned char gamma_table[256];
char *filename_left;
char *filename_right;
int xpos, ypos;
int display_width, display_height;
int *display_data1, *display_data2, *display_data3;
int delta_x, delta_y, delta_z;
int xshift, yshift;
double gamma_factor;
int zoom_factor;
int enlarge_factor;
int help_flag;
int update_params;
char *data_dir;
int input_image_format;
int input_image_bytes_per_color_left;
int input_image_bytes_per_color_right;
int x_center_left, x_center_right, y_center_left, y_center_right;

KeySym key_press;

#include "xmars3d_proto.h"

#define VERSION "0.3.9"

#endif /* _MARS3D_H_ */

